Subject: Symlink test failure on macOS

From: Alan Third <[email-masked]>
Date: Sun, 12 Nov 2017 22:48:49 +0000

I just noticed a new test failure on macOS. I’m not sure when it
started as I haven’t run make test in quite a while.

F fileio-tests--odd-symlink-chars
    Check that any non-NULL ASCII character can appear in a symlink.
    (ert-test-failed
     ((should
       (equal nil
	      (fileio-tests--symlink-failure)))
      :form
      (equal nil
	     (string-equal "
" "
"))
      :value nil :explanation
      (different-types nil
		       (string-equal "
" "
"))))

The ‘different‐types’ bit above has ^M in the first position and ^J in
the second (at least according to describe‐char).

My completely unscientific thought is that something is converting ^M
in filenames to ^J and it looks suspiciously like an old‐school
mac‐>unix line ending conversion.
-- 
Alan Third